3

Why can issue this error in the log?

2014-10-16T09:48:55+00:00 ERR (3): User Notice: 'hashed_directory_umask' is deprecated -> please use 'hashed_directory_perm' instead in /var/www/html/magento/lib/Zend/Cache/Backend/File.php on line 144

1

The error says, your PHP version is too new, please use the new PHP function hashed_directory_perm instead of the old one hashed_directory_umask.

I'm sure this is fixed in later Zend versions, so update magento or Zend and this problem is fixed.

  • I would like to comment that this is an issue with up to Magento 1.9.2.3 under PHP 5.6. The logs can be annoying. But running Magento in developer mode will bring this up as a blocking error. It can be fixed by editing the mentioned file lib/Zend/Cache/Backend/File.php and then commenting out all the lines starting with trigger_error( and mentioning that a certain function is deprecated. All the warnings on core hacks apply here! – Jisse Reitsma Jan 21 '16 at 10:59

Not the answer you're looking for? Browse other questions tagged or ask your own question.